Patches for aports can be sent to this list

1

[alpine-aports] [PATCH 1/2] unmaintained/wendy: move from testing/

Sören Tempel
Details
Message ID
<1445358203-17812-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1445358202
DKIM signature
missing
Download raw message
Patch: +31 -31
The package is outdated and the maintainer (who is also the author of
wendy) doesn't seem to be interested in maintaining this package
anymore.
---
 testing/wendy/APKBUILD      | 31 -------------------------------
 unmaintained/wendy/APKBUILD | 31 +++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 31 deletions(-)
 delete mode 100644 testing/wendy/APKBUILD
 create mode 100644 unmaintained/wendy/APKBUILD

diff --git a/testing/wendy/APKBUILD b/testing/wendy/APKBUILD
deleted file mode 100644
index e519f3b..0000000
--- a/testing/wendy/APKBUILD
@@ -1,31 +0,0 @@
-# Contributor: z3bra <willy at mailoo dot org>
-# Maintainer:
-pkgname=wendy
-pkgver=0.5
-pkgrel=0
-pkgdesc="Directory watcher based on inotify(7)"
-url="http://git.z3bra.org/cgit.cgi/wendy"
-arch="all"
-license="wtfpl"
-depends=""
-depends_dev=""
-makedepends="$depends_dev"
-install=""
-subpackages=""
-source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.bz2"
-
-
-_builddir=$srcdir/$pkgname-$pkgver
-build() {
-	cd "$_builddir"
-	make
-}
-
-package() {
-	cd "$_builddir"
-	make PREFIX=/usr DESTDIR=$pkgdir install
-}
-
-md5sums="e617596c2a66b6b0a684e6842e42b760  wendy-0.5.tar.bz2"
-sha256sums="9b49bdb0115c6d6cece46d3af94d62a09512d895b7c27001bc54a10f5edd70f6  wendy-0.5.tar.bz2"
-sha512sums="3d2c7a016c742da074d0616ec12029e847b6479acdcaefd218e285d76ad0e3c09956e53f300fdfa66c03a649f44ce0eb26ff4878126dafde7fb93670bb60b5f1  wendy-0.5.tar.bz2"
diff --git a/unmaintained/wendy/APKBUILD b/unmaintained/wendy/APKBUILD
new file mode 100644
index 0000000..e519f3b
--- /dev/null
+++ b/unmaintained/wendy/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: z3bra <willy at mailoo dot org>
+# Maintainer:
+pkgname=wendy
+pkgver=0.5
+pkgrel=0
+pkgdesc="Directory watcher based on inotify(7)"
+url="http://git.z3bra.org/cgit.cgi/wendy"
+arch="all"
+license="wtfpl"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+
+_builddir=$srcdir/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR=$pkgdir install
+}
+
+md5sums="e617596c2a66b6b0a684e6842e42b760  wendy-0.5.tar.bz2"
+sha256sums="9b49bdb0115c6d6cece46d3af94d62a09512d895b7c27001bc54a10f5edd70f6  wendy-0.5.tar.bz2"
+sha512sums="3d2c7a016c742da074d0616ec12029e847b6479acdcaefd218e285d76ad0e3c09956e53f300fdfa66c03a649f44ce0eb26ff4878126dafde7fb93670bb60b5f1  wendy-0.5.tar.bz2"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] unmaintained/oksh: move from testing/

Sören Tempel
Details
Message ID
<1445358203-17812-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1445358203-17812-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1445358203
DKIM signature
missing
Download raw message
Patch: +57 -57
The package doesn't build anymore. I wrote the maintainer an email a few
months ago and he still didn't fix it. Furthermore a decent OpenBSD ksh
port to linux is already available in the testing/loksh package.
---
 testing/oksh/APKBUILD      | 57 ----------------------------------------------
 unmaintained/oksh/APKBUILD | 57 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+), 57 deletions(-)
 delete mode 100644 testing/oksh/APKBUILD
 create mode 100644 unmaintained/oksh/APKBUILD

diff --git a/testing/oksh/APKBUILD b/testing/oksh/APKBUILD
deleted file mode 100644
index d2b214c..0000000
--- a/testing/oksh/APKBUILD
@@ -1,57 +0,0 @@
-# Contributor: Orion <systmkor@gmail.com
-# Maintainer: Orion <systmkor@gmail.com
-# Reference
-#   https://aur.archlinux.org/packages/oksh/
-pkgname=oksh
-pkgver=0.5.0
-pkgrel=0
-pkgdesc="Korn Shell ported version of ksh from OpenBSD"
-url="http://www.connochaetos.org/oksh"
-arch="all"
-license="GPL3"
-depends=""
-depends_dev=""
-makedepends="$depends_dev bsd-compat-headers"
-install=""
-subpackages="$pkgname-doc"
-source="http://www.connochaetos.org/$pkgname/${pkgname}-${pkgver}.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man/man1/ \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" prefix=${pkgdir} mandir=$pkgdir/usr/share/man/man1/ install || return 1
-}
-
-doc() {
-    # Man pages
-    mkdir -p "$subpkgdir"/usr/share/man || return 1
-    mv "$pkgdir"/usr/share/man/man* "$subpkgdir"/usr/share/man/man1/ || return 1
-}
-
-md5sums="e8118f06ac41ff7ce416706ffc649192  oksh-0.5.0.tar.gz"
-sha256sums="63c7570afdcd124244584ace0e8ed0c5f3dd57f0f5cba0d7746ee3aeb194686e  oksh-0.5.0.tar.gz"
-sha512sums="c93dad98444cbdffe40b2448ae39d38f347fb93a8008e5ee411cbfdf7defde2e454f17655b6c709e1536261ad01ef5cd81845c4569bffeae3405654963fa9088  oksh-0.5.0.tar.gz"
diff --git a/unmaintained/oksh/APKBUILD b/unmaintained/oksh/APKBUILD
new file mode 100644
index 0000000..d2b214c
--- /dev/null
+++ b/unmaintained/oksh/APKBUILD
@@ -0,0 +1,57 @@
+# Contributor: Orion <systmkor@gmail.com
+# Maintainer: Orion <systmkor@gmail.com
+# Reference
+#   https://aur.archlinux.org/packages/oksh/
+pkgname=oksh
+pkgver=0.5.0
+pkgrel=0
+pkgdesc="Korn Shell ported version of ksh from OpenBSD"
+url="http://www.connochaetos.org/oksh"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="$depends_dev bsd-compat-headers"
+install=""
+subpackages="$pkgname-doc"
+source="http://www.connochaetos.org/$pkgname/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man/man1/ \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" prefix=${pkgdir} mandir=$pkgdir/usr/share/man/man1/ install || return 1
+}
+
+doc() {
+    # Man pages
+    mkdir -p "$subpkgdir"/usr/share/man || return 1
+    mv "$pkgdir"/usr/share/man/man* "$subpkgdir"/usr/share/man/man1/ || return 1
+}
+
+md5sums="e8118f06ac41ff7ce416706ffc649192  oksh-0.5.0.tar.gz"
+sha256sums="63c7570afdcd124244584ace0e8ed0c5f3dd57f0f5cba0d7746ee3aeb194686e  oksh-0.5.0.tar.gz"
+sha512sums="c93dad98444cbdffe40b2448ae39d38f347fb93a8008e5ee411cbfdf7defde2e454f17655b6c709e1536261ad01ef5cd81845c4569bffeae3405654963fa9088  oksh-0.5.0.tar.gz"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---